ToolRunner (Hadoop 0.20.2-cdh3u0 API)
Date: 2011-03-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.util
Class ToolRunner

    java.lang.Object
      org.apache.hadoop.util.ToolRunner

    public class ToolRunner

extends Object

A utility to help run `Tool`s.

`ToolRunner` can be used to run classes implementing `Tool` interface. It works in conjunction with `GenericOptionsParser` to parse the generic hadoop command line arguments and modifies the `Configuration` of the `Tool`. The application-specific options are passed along without being modified.

See Also:
  `Tool`, `GenericOptionsParser`

Constructor Summary
`ToolRunner()`

Method Summary
`static void` | `printGenericCommandUsage(PrintStream out)` Prints generic command-line argurments and usage information.
`static int` | `run(Configuration conf, Tool tool, String[] args)` Runs the given `Tool` by `Tool.run(String[])`, after parsing with the given generic arguments.
`static int` | `run(Tool tool, String[] args)` Runs the `Tool` with its `Configuration`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolRunner

    public ToolRunner()

Method Detail

### run

    public static int run(Configuration conf,
                          Tool tool,
                          String[] args)
                   throws Exception

  Runs the given `Tool` by `Tool.run(String[])`, after parsing with the given generic arguments. Uses the given `Configuration`, or builds one if null. Sets the `Tool`'s configuration with the possibly modified version of the `conf`.

  Parameters:
    `conf` - `Configuration` for the `Tool`.
    `tool` - `Tool` to run.
    `args` - command-line arguments to the tool.
  Returns:
    exit code of the `Tool.run(String[])` method.
  Throws:
    `Exception`

### run

    public static int run(Tool tool,
                          String[] args)
                   throws Exception

  Runs the `Tool` with its `Configuration`. Equivalent to `run(tool.getConf(), tool, args)`.

  Parameters:
    `tool` - `Tool` to run.
    `args` - command-line arguments to the tool.
  Returns:
    exit code of the `Tool.run(String[])` method.
  Throws:
    `Exception`

### printGenericCommandUsage

    public static void printGenericCommandUsage(PrintStream out)

  Prints generic command-line argurments and usage information.

  Parameters:
    `out` - stream to write usage information to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation